import org.trinitydesktop.qt.*;
import org.trinitydesktop.koala.*;

/**
 *  Main class.
 *
 *  Taken from KDE 2.0 Development book
 *
 *  Rendering HTML Files
 *
 *  A Simple Web Browser
 *
 *
 * @see TDEApplication
 *
 * @author java translation Kenneth J. Pouncey, kjpou@hotmail.com
 * @version 0.1
 */

public class Main {

   public static void main(String[] cmdLineArgs) {

      TDECmdLineArgs.init(cmdLineArgs, "ksimplebrowser", "KSimpleBrowser",
                         "A KDE 3 Development Example - KSimpleBrowser", "0.1");
      TDEApplication app = new TDEApplication();
      KSimpleBrowser kbrowser = new KSimpleBrowser("KSimpleBrowser");

      kbrowser.show();

      app.exec();
      return;
   }

   static {
      qtjava.initialize();
      tdejava.initialize();
   }

}
